Application of Linux_Fedora_ series] [_4_ Chrome browser installed

Recommended for you: Get network issues from WhatsUp Gold. Not end users.

  In a previous article, we discussed in the Linux Fedora 14 installation WMV decoder: [Linux_Fedora_] _3_ series of how to use Smplayer to play WMV files

The method introduced in this paper in the same for FC 14 and later. Today we are going to introduce how to install the Chrome browser in Fedora 14.

[1],The RPM installation

     First of all to the link below to download the RPM package: http://www.google.cn/chrome/intl/zh-CN/landing_chrome.html

     Usually this link: https: software package//www.google.com/intl/en/chrome/browser/?hl=en&brand=CHMA&utm_campaign=en&utm_source=en-ha-row-bk&utm_medium=ha

     But the link to download the latest version is RPM package, so the general need to install in the latest version of FC.

[2],The yum installation

     The yum installation has two options:

                                      1,Install chromium

                                      2,Install Chrome

     There is a need to explain the 1,2 two kind of different, because chromium and chrome two are not the same.

1,Install chromium

      Set the yum source before installing. In order to set up the yum source, first of all to switch to the root user, you can also use the sudo command (need to set the sudo permissions), then switch to the current working directory 

/etc/yum.repos.d  , Then use the following command to get repo file.

wget http://repos.fedorapeople.org/repos/spot/chromium/fedora-chromium-stable.repo

     Command execution is completed, we can execute ls to see when there is a fedora-chromium-stable.repo  documents, if any, said repo file download success. Then you can

Install chromium with the following command.

yum install chromium

      After installing this command, there will be a problem, that is when to start chromium, the system will prompt the SELinux security and problems, this problem I search for a long time without a

Good solution. But Linux developers and chrome developers seem to this problem are not very seriously.

  The link below for a description of the problem:

        With the annoying thing is my SElinux warning window just pop up a window, without any prompting information practice.



2,Install Chrome

      Also need to set the yum source. Here we create a Yum source library file google-chrome.repo; add the following content in the document

[chrome]   #The inside of the content can be written
name
=Google-chrome-for-fedora-i386 baseurl=http://dl.google.com/linux/rpm/stable/i386 enabled=1 gpgcheck=1 gpgkey=https://dl-ssl.google.com/linux/linux_signing_key.pub

     After the establishment, preservation. Then run: update the cache file Yum clean all command.

     Install the stable version with the following commands:

yum install google-chrome-stable

      When my machine installs prompted the lack of RPM packet, and there exists a conflict(conflicts):

Error: Package: google-chrome-stable-28.0.1500.52-207119.i386 (google-chrome)
          Requires: libstdc++.so.6(GLIBCXX_3.4.15)
Error: google-chrome-stable conflicts with libX11
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

      Use rpm -qi libX11  to view the information;:

rpm -qi libX11

Name : libX11 Relocations: (not relocatable) Version :
1.3.4 Vendor: Fedora Project Release : 3.fc14 Build Date: in 2010 08 on Tuesday 10 March 56 at eleven twenty-one. Install Date: in 2013 06 on Friday 21 March 25 second Build Host: x86 twenty-three thirty-seven-14.phx2.fedoraproject.org Group : System Environment/Libraries Source RPM: libX11-1.3.4-3.fc14.src.rpm Size : 1272448 License: MIT Signature : RSA/SHA256, In 2010 08 on Tuesday 10 March 39 at twenty forty-six., Key ID 421caddb97a1071f Packager : Fedora Project URL : http://www.x.org Summary : Core X11 protocol client library Description : Core X11 protocol client library.

       We can see that libX11 is the core file a graphical interface, it is said that the software package can not be easily removed. Then search found an answer:

  I'm sorry, little is known about Linux, you say the situation is the conflict system chrome update to you, and a new chrome stable 28 for Linux, System support is the lowest: Ubuntu 12.04+, Debian 7+, OpenSuSE 12.2+, 
Fedora Linux 17+, And you this libX11-1.4.3-1.fc15.i686, I searched information display is released in 2011 libX11-devel-1.4.3-1.fc15 RPM for i686,Fedora 15 I386 system,

       But I also can not be installed after upgrading libX11.

       The problem is to let a person very angry. According to the above argument, I only have to upgrade the system to solve this problem, but I really don't want to upgrade FC15 Fedora interface, FC17 is indeed very beautiful, but

As a beginner, do not want to upgrade system.


3,Install google-chrome-stable_current_i386-19.0.1084.52-zs.rpm

     There is no way, can only choose a lower version to install the download, select a lower version of the official version. I choose here is: google-chrome-stable_current_i386-19.0.1084.52-zs.rpm

This package download address:


     After download, we use the RPM installation:

[root@volcanol volcanol]# rpm -ivh google-chrome-stable_current_i386-19.0.1084.52-zs.rpm 
warning: google-chrome-stable_current_i386-19.0.1084.52-zs.rpm: Header V4 DSA/SHA1 Signature, key ID 7fac5991: NOKEY
error: Failed dependencies:
    lsb >= 4.0 is needed by google-chrome-stable-19.0.1084.52-138391.i386

     Tip LSB version to be higher than or equal to 4, then install LSB:

yum install lsb
The loaded plugin: langpacks, presto, refresh-packagekit
Adding zh_CN to language list
Set the installation process
Resolve dependencies
--> Execute transaction check
---> The software package redhat-lsb.i686 0:4.0-5.fc14 will be installed
--> Dependencies of /usr/bin/pax, it is the software package redhat-lsb-4.0-5.fc14.i686 needs
--> Execute transaction check
---> The software package pax.i686 0:3.4-10.fc12 will be installed
--> Complete dependency calculation

Dependence of solution

=================================================================================================
 Software architecture versions of the repository size
=================================================================================================
Being installed:
 redhat-lsb              i686              4.0-5.fc14                  fedora               25 k
And the installation of dependence:
 pax                     i686              3.4-10.fc12                 fedora               67 k

Transaction summary
=================================================================================================
Install       2 Package(s)

Downloads: 92 k
Installed size: 156 k
Determine? [y/N]: y
Download the software package: 
Setting up and reading Presto delta metadata
fedora/prestodelta                                                        |  92 kB     00:10     
Processing delta metadata
Package(s) data still to download: 92 k
(1/2): pax-3.4-10.fc12.i686.rpm                                           |  67 kB     00:03     
(2/2): redhat-lsb-4.0-5.fc14.i686.rpm                                     |  25 kB     00:01     
-------------------------------------------------------------------------------------------------
Total                                                             9.6 kB/s |  92 kB     00:09     
Run rpm_check_debug 
Perform transaction testing
Transaction testing success
Transaction execution
  Being installed: Pax-3.4-10.fc12.i686                                                      1/2 
  Being installed: RedHat-lsb-4.0-5.fc14.i686                                                2/2 

The installed:
  redhat-lsb.i686 0:4.0-5.fc14                                                                   

Was installed as the dependent:
  pax.i686 0:3.4-10.fc12                                                                         

Complete!

        You can see the installation is successful, then install Chrome:

[root@volcanol volcanol]# rpm -ivh google-chrome-stable_current_i386-19.0.1084.52-zs.rpm 
warning: google-chrome-stable_current_i386-19.0.1084.52-zs.rpm: Header V4 DSA/SHA1 Signature, key ID 7fac5991: NOKEY
Preparing...                ########################################### [100%]
   1:google-chrome-stable   ########################################### [100%]

       Chrome was successfully installed. And no longer prompt SELinux problem.


        Do not know the garden have a person to know how to solve two problems I suggest, the first problem is how to solve the SELinux, second is not how to upgrade the system can install the latest version of chrome.

Second I describe methods for installing chrome in the latest version of Linux.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download

Posted by Lance at November 14, 2013 - 1:18 PM